asphere_vis(1)

NAME
asphere_vis - Tools for ellipsoid visualization in PyMol of a LAMMPS trajectory.

VERSION
Version 0.2

SYNOPSIS

asphere_vis flavor_file dump_file output_py_file [-b] [-f max_frame] [-h] [-i start_frame skip end_frame] [-n notice_level] [-o] [-r ellip_res] [-s]

DESCRIPTION
Tool for converting LAMMPS trajectories into compiled graphics objects for visualization in PyMol. The flavor_file is an input file that describes the color, transparency, and size/shape of each atom type. The flavor_file consists of two possible line formats. For spherical particles, the format is:
    atom_type color alpha diameter
where alpha is used to adjust the transparency of the particle. For ellipsoidal particles, the format is:
    atom_type color alpha diameter_x diameter_y diameter_z
Ellipsoidal and spherical line formats can be mixed in the same flavor_file For any atom type not listed in the flavor_file a blue sphere of size 1 is assumed.
The dump_file is a LAMMPS trajectory. For atom types specified as spherical in the flavor_file, the dump_file must contain tag type x y z as the first columns. For atom types specified as ellipsoidal in the flavor_file, the columns are tag type x y z quatw quati quatj quatk.The latter can be gerenated, for example, with the LAMMPS dump_style custom command with the following arguments in order:
    tag type x y z quatw quati quatj quatk
The output file is a python file for input to Pymol. This can be viewed from the command line using pymol output.py or by using the run command from within Pymol.

PARAMETERS

-b  When used with -s, the option will number the filenames based on the frame number. By default, they are numbered consequtively from zero.

-f max_frame
Do not write more than max_frame frames to the output file.

-h  Print out the man page for help

-i start_frame skip end_frame
Render the specified frame interval inclusive between start_frame and end_frame. skip gives the number of frames to skip between each rendered frame. A value of 0 outputs every frame between start_frame and end_frame. The first frame in the dump file is frame 0.

-n notice_level
Set the degree of program output.  Use:
    -n  0    No output
    -n 10    Normal program output
    -n 20    Parameters useful for reproducing the results
    -n 30    All output

-o  Do not output the outline for the simulation box.

-r ellip_res
Resolution of ellipsoids in PyMol. The number of triangles per ellipsoid is equal to 2*(ellip_res^2). Default is 10.

-s  Output the results into separate .py files. The filename and extension for the output files is taken from output_py_file.

AVAILABLE COLORS
    black
    blue
    brown
    cmyk_blue
    cmyk_marine
    deep
    forest
    green
    grey
    hotpink
    magenta
    marine
    orange
    purple
    red
    slate
    teal
    wheat
    white
    yellow

AUTHORS
W. Michael Brown